import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:chatter_sms/chatter_sms.dart';

void main() {
  const MethodChannel channel = MethodChannel('chatter_sms');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await ChatterSms.platformVersion, '42');
  });
}
